HeapRecordId (Oracle - Berkeley DB Java API)
Date: 2013-05-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class HeapRecordId

    java.lang.Object
      com.sleepycat.db.HeapRecordId

    public class HeapRecordId

extends Object

Content used for the key in a Heap database record. Berkeley DB creates this value for you when you create a record in a Heap database. You should never create this structure yourself; Berkeley DB must create it for you. This structure is returned in the key DatabaseEntry parameter of the method that you use to add a record to the Heap database.

Constructor Summary
`HeapRecordId(int pgno, short indx)` Construct a new record id, given a page number and index.

Method Summary
`static HeapRecordId` | `fromArray(byte[] data)` Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.
`static HeapRecordId` | `fromArray(byte[] data, ByteOrder order)` Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.
`short` | `getIndex()` Get the index in the offset table where the record can be found.
`int` | `getPageNumber()` Get the database page number where the record is stored.
`void` | `setIndex(short indx)` Set the index in the offset table where the record can be found.
`void` | `setPageNumber(int pgno)` Set the database page number where the record is stored.
`byte[]` | `toArray()` Return a byte array representing this record id.
`byte[]` | `toArray(ByteOrder order)` Return a byte array representing this record id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeapRecordId

    public HeapRecordId(int pgno,
                        short indx)

  Construct a new record id, given a page number and index.

  Parameters:
    `pgno` - The database page number where the record is stored.

    `indx` - Index in the offset table where the record can be found.

Method Detail

### fromArray

    public static HeapRecordId fromArray(byte[] data)
                                  throws IllegalArgumentException

  Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.

  Parameters:
    `data` - The array representing the record id.

  Returns:
    A new HeapRecordId
  Throws:
    `IllegalArgumentException`

### fromArray

    public static HeapRecordId fromArray(byte[] data,
                                         ByteOrder order)
                                  throws IllegalArgumentException

  Construct a HeapRecordId from a byte array, typically from a `DatabaseEntry`.

  Parameters:
    `data` - The array representing the record id.

    `order` - The byte order of data stored in the array.

  Returns:
    A new HeapRecordId
  Throws:
    `IllegalArgumentException`

### toArray

    public byte[] toArray()

  Return a byte array representing this record id.

  Returns:
    A byte array representing this record id.

### toArray

    public byte[] toArray(ByteOrder order)

  Return a byte array representing this record id.

  Parameters:
    `order` - The byte order to use when constructing the array.

  Returns:
    A byte array representing this record id.

### getPageNumber

    public int getPageNumber()

  Get the database page number where the record is stored.

  Returns:
    The database page number where the record is stored.

### setPageNumber

    public void setPageNumber(int pgno)

  Set the database page number where the record is stored.

### getIndex

    public short getIndex()

  Get the index in the offset table where the record can be found.

  Returns:
    The index in the offset table where the record can be found.

### setIndex

    public void setIndex(short indx)

  Set the index in the offset table where the record can be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.